MTREE_PARENT(3)

NAME
mtree_parent - return node number of parent node

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/mtree.h>

size_t mtree_parent(size_t node);

Compile and link with -llibrecast.

DESCRIPTION
The mtree_nnode function returns the node number of the parent of node.

This calculation is independent of the tree, and is implemented as a macro.

Nodes are numbered from 0 = root.

RETURN VALUE
mtree_parent() returns the number of the parent node.

ERRORS
None.

SEE ALSO
mtree_init(3), mtree_free(3), mtree_build(3), mtree_child(3)